#include once "window9.bi"

Function ReplaceTextColumnListView(ByVal gadget As integer,ByVal Column As integer , ByVal Text_ As String) As Integer Export
	dim ListViewColumn As LVColumn
	with ListViewColumn
		.mask = LVCF_TEXT
		.pszText = StrPtr(Text_)
		.cchTextMax = Len(Text_)
	end With
	If GetClassName_(GadgetID(gadget)) = "ExplorerGadget" Then
		Return SendMessage(GetProp(GadgetID(gadget),"EXPLORERGADGETLISTVIEWWINDOW"),4096+26,Column ,Cast(LPARAM,@ListViewColumn))
	Else
		Return SendMessage(GadgetID(gadget),4096+26,Column ,Cast(LPARAM,@ListViewColumn))
	EndIf
End Function
